package com.sheep.gamegroup.model.entity;

import org.xutils.db.annotation.Column;
import org.xutils.db.annotation.Table;

import java.io.Serializable;

/**
 * Created by ljy on 2018/3/17.
 */
@Table(name = "user")
public class UserEntity implements Serializable {

    @Column(name = "id", isId = true, autoGen = true)
    private int _id;//11,
    @Column(name = "user_id")
    private String id;//11,
    @Column(name = "mobile")
    private String mobile;//13688480841,
    @Column(name = "nickname")
    private String nickname;//test332211,
    @Column(name = "balance")
    private String balance;//0,
    @Column(name = "invitation_code")
    private String invitation_code;//032033476,
    @Column(name = "parent_code")
    private String parent_code;//,
    @Column(name = "total_asset")
    private String total_asset;//0,
    @Column(name = "last_login_time")
    private String last_login_time;//1521254162,
    @Column(name = "create_time")
    private String create_time;//1521254162,
    @Column(name = "update_time")
    private String update_time;//1521254162,
    @Column(name = "avatar")
    private String avatar;//,
    @Column(name = "access_token")
    private String access_token;//_T6fiXabS5G_pQhLLP1qKA,
    @Column(name = "refresh_token")
    private String refresh_token;//AiO5n79nT-6vjratlulxkg,
    @Column(name = "open_id")
    private String open_id;//2804526,
    @Column(name = "real_name")
    private String real_name;//,
    @Column(name = "id_number")
    private String id_number;//,
    @Column(name = "bank_card")
    private String bank_card;//,
    @Column(name = "total_withdraw")
    private String total_withdraw;//0,
    @Column(name = "wx_openid")
    private String wx_openid;//
    @Column(name = "wx_nickname")
    private String wx_nickname;
    @Column(name = "share_link")
    private String share_link;
    @Column(name = "newbie_task_status")
    private int newbie_task_status;
    @Column(name = "is_new")
    private int is_new;//1新用户 2老用户

    public String getWx_nickname() {
        return wx_nickname;
    }

    public void setWx_nickname(String wx_nickname) {
        this.wx_nickname = wx_nickname;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getBalance() {
        return balance == null?"0":balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getInvitation_code() {
        return invitation_code;
    }

    public void setInvitation_code(String invitation_code) {
        this.invitation_code = invitation_code;
    }

    public String getParent_code() {
        return parent_code;
    }

    public void setParent_code(String parent_code) {
        this.parent_code = parent_code;
    }

    public String getTotal_asset() {
        return total_asset == null?"0":total_asset;
    }

    public void setTotal_asset(String total_asset) {
        this.total_asset = total_asset;
    }

    public String getLast_login_time() {
        return last_login_time;
    }

    public void setLast_login_time(String last_login_time) {
        this.last_login_time = last_login_time;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getRefresh_token() {
        return refresh_token;
    }

    public void setRefresh_token(String refresh_token) {
        this.refresh_token = refresh_token;
    }

    public String getOpen_id() {
        return open_id;
    }

    public void setOpen_id(String open_id) {
        this.open_id = open_id;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getId_number() {
        return id_number;
    }

    public void setId_number(String id_number) {
        this.id_number = id_number;
    }

    public String getBank_card() {
        return bank_card;
    }

    public void setBank_card(String bank_card) {
        this.bank_card = bank_card;
    }

    public String getTotal_withdraw() {
        return total_withdraw;
    }

    public void setTotal_withdraw(String total_withdraw) {
        this.total_withdraw = total_withdraw;
    }

    public String getWx_openid() {
        return wx_openid;
    }

    public void setWx_openid(String wx_openid) {
        this.wx_openid = wx_openid;
    }

    public String getShare_link() {
        return share_link;
    }

    public void setShare_link(String share_link) {
        this.share_link = share_link;
    }

//    public int getNewbie_task_status() {
//        return newbie_task_status;
//    }

    public void setNewbie_task_status(int newbie_task_status) {
        this.newbie_task_status = newbie_task_status;
    }

    public int getIs_new() {
        return is_new;
    }

    public void setIs_new(int is_new) {
        this.is_new = is_new;
    }
}
